--
-- add compost as Spraytype to use it like manure
--

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)

    if node ~= 0 then
        local wheat_dryHeapDiffuse = Utils.getFilename("maps/fillPlane/wheat_diffuse.png", modDirectory)
        local wheat_dryHeapNormal = Utils.getFilename("$data/fillPlanes/wheat_normal.png", modDirectory)
        local wheat_dryHeapDistance = Utils.getFilename("$data/fillPlanes/distance/wheatDistance_diffuse.png", modDirectory)

        local barley_dryHeapDiffuse = Utils.getFilename("maps/fillPlane/barley_diffuse.png", modDirectory)
        local barley_dryHeapNormal = Utils.getFilename("$data/fillPlanes/barley_normal.png", modDirectory)
        local barley_dryHeapDistance = Utils.getFilename("$data/fillPlanes/distance/barleyDistance_diffuse.png", modDirectory)

        local oat_dryHeapDiffuse = Utils.getFilename("maps/fillPlane/oat_diffuse.png", modDirectory)
        local oat_dryHeapNormal = Utils.getFilename("$data/fillPlanes/oat_normal.png", modDirectory)
        local oat_dryHeapDistance = Utils.getFilename("$data/fillPlanes/distance/oatDistance_diffuse.png", modDirectory)

        local canola_dryHeapDiffuse = Utils.getFilename("maps/fillPlane/canola_diffuse.png", modDirectory)
        local canola_dryHeapNormal = Utils.getFilename("$data/fillPlanes/canola_normal.png", modDirectory)
        local canola_dryHeapDistance = Utils.getFilename("$data/fillPlanes/distance/canolaDistance_diffuse.png", modDirectory)

        local soybean_dryHeapDiffuse = Utils.getFilename("maps/fillPlane/soybean_diffuse.png", modDirectory)
        local soybean_dryHeapNormal = Utils.getFilename("$data/fillPlanes/soybean_normal.png", modDirectory)
        local soybean_dryHeapDistance = Utils.getFilename("$data/fillPlanes/distance/soybeanDistance_diffuse.png", modDirectory)

        local maize_dryHeapDiffuse = Utils.getFilename("maps/fillPlane/maize_diffuse.png", modDirectory)
        local maize_dryHeapNormal = Utils.getFilename("$data/fillPlanes/maize_normal.png", modDirectory)
        local maize_dryHeapDistance = Utils.getFilename("$data/fillPlanes/distance/maizeDistance_diffuse.png", modDirectory)

        local sunflower_dryHeapDiffuse = Utils.getFilename("maps/fillPlane/sunflower_diffuse.png", modDirectory)
        local sunflower_dryHeapNormal = Utils.getFilename("$data/fillPlanes/sunflower_normal.png", modDirectory)
        local sunflower_dryHeapDistance = Utils.getFilename("$data/fillPlanes/distance/sunflowerDistance_diffuse.png", modDirectory)

        local sorghum_dryHeapDiffuse = Utils.getFilename("maps/fillPlane/sorghum_diffuse.png", modDirectory)
        local sorghum_dryHeapNormal = Utils.getFilename("$data/fillPlanes/sorghum_normal.png", modDirectory)
        local sorghum_dryHeapDistance = Utils.getFilename("$data/fillPlanes/distance/sorghumDistance_diffuse.png", modDirectory)       

		local korpaHeapDiffuse = Utils.getFilename("maps/fillPlane/korpa_diffuse.png", modDirectory)
        local korpaHeapNormal = Utils.getFilename("maps/fillPlane/korpa_normal.png", modDirectory)
        local korpaHeapDistance = Utils.getFilename("$data/fillPlanes/distance/barleyDistance_diffuse.png", modDirectory)

        local wheat_dryHeightType = g_densityMapHeightManager:addDensityMapHeightType("WHEAT_DRY", math.rad(38), 1, 0.2, 0.2, 0.5, 1, true, wheat_dryHeapDiffuse, wheat_dryHeapNormal, wheat_dryHeapDistance, false)

        local barley_dryHeightType = g_densityMapHeightManager:addDensityMapHeightType("BARLEY_DRY", math.rad(38), 1, 0.2, 0.2, 0.5, 1, true, barley_dryHeapDiffuse, barley_dryHeapNormal, barley_dryHeapDistance, false)

        local oat_dryHeightType = g_densityMapHeightManager:addDensityMapHeightType("OAT_DRY", math.rad(38), 1, 0.2, 0.2, 0.5, 1, true, oat_dryHeapDiffuse, oat_dryHeapNormal, oat_dryHeapDistance, false)

        local canola_dryHeightType = g_densityMapHeightManager:addDensityMapHeightType("CANOLA_DRY", math.rad(38), 1, 0.2, 0.2, 0.5, 1, true, canola_dryHeapDiffuse, canola_dryHeapNormal, canola_dryHeapDistance, false)

        local soybean_dryHeightType = g_densityMapHeightManager:addDensityMapHeightType("SOYBEAN_DRY", math.rad(38), 1, 0.2, 0.2, 0.5, 1, true, soybean_dryHeapDiffuse, soybean_dryHeapNormal, soybean_dryHeapDistance, false)

        local maize_dryHeightType = g_densityMapHeightManager:addDensityMapHeightType("MAIZE_DRY", math.rad(38), 1, 0.2, 0.2, 0.5, 1, true, maize_dryHeapDiffuse, maize_dryHeapNormal, maize_dryHeapDistance, false)

        local sunflower_dryHeightType = g_densityMapHeightManager:addDensityMapHeightType("SUNFLOWER_DRY", math.rad(38), 1, 0.2, 0.2, 0.5, 1, true, sunflower_dryHeapDiffuse, sunflower_dryHeapNormal, sunflower_dryHeapDistance, false)

        local sorghum_dryHeightType = g_densityMapHeightManager:addDensityMapHeightType("SORGHUM_DRY", math.rad(38), 1, 0.2, 0.2, 0.5, 1, true, sorghum_dryHeapDiffuse, sorghum_dryHeapNormal, sorghum_dryHeapDistance, false)
        
		local korpaHeightType = g_densityMapHeightManager:addDensityMapHeightType("KORPA", math.rad(38), 1, 0.2, 0.2, 0.5, 1, true, korpaHeapDiffuse, korpaHeapNormal, korpaHeapDistance, false)

    end
end
FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)

